Subject: bug#4377: marked as done (allow one to still choose xpdf instead of doc-view)

From: Leo <[email-masked]>
Date: Sun, 13 Sep 2009 16:10:39 +0100

On 2009-09-13 03:10 +0100, Emacs bug Tracking System wrote:
>> My god, that's tons and tons of lisp to add to one's .emacs file,
>> just to say "I wish to have emacs still call xpdf when encountering a
>> .pdf file, like back before they introduced doc-view".
>
> One line solution:
>
> (setq auto-mode-alist (rassq-delete-all 'doc-view-mode auto-mode-alist))

I wonder if it is better not to include doc-view-mode in
auto-mode-alist. Personally, I can't think of an occasion that I would
like doc-view mode to view my pdf files except, perhaps, to brag about
Emacs's capability.

I have this in .emacs for a while.

  (defalias 'doc-view-mode 'ignore)

Leo